Subject: bug#6339: url-filename => "/c:/some/file.txt"

From: Stefan Monnier <[email-masked]>
Date: Thu, 06 Oct 2011 12:49:20 -0400

>> I'm interested in the actual resulting
>> code changes: the above sample patch fails to include the corresponding
>> (expand-file-name (url-filename ...) "/"), for example.
> There are 41 uses of (url-filename ...) in the Emacs sources, all of
> them in url\url*.el except two in net/xesam.el.

But the patch you sent changes url-generic-parse-url so it presumably
can affect many more places that just those that call url-filename.

> I'm unwilling to go looking for things to fix and prepare such a patch
> unless there's some consensus that removing the slash is the Right
> Thing to Do.

I think it's the right thing to do.  But maybe the best patch will need
to rename the `filename' slot and to define url-filename to do the
(expand-file-name (url-somethingelse URL) "/") or something like that.

        Stefan